/**
 * This is example to use "apeman-ui-contrib-angular-decorating".
 */

(function () {
    "use strict";

    angular
        .module('my-custom-module', [
            'apeman-ui-contrib-angular-decorating'
        ])
        .controller('DemoCtrl', function (apDecorate) {
            var obj01 = {
                doSomething: function () {
                    /*...*/
                }
            };
            apDecorate.decorate(obj01, 'doSomethingMore', function define(origin) {
                return function () {
                    /*...*/
                    return origin.apply(this, arguments); // Call original method.
                }
            })
        });
})();